'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (path) {
  // Read the file
  var fileStr = void 0;

  try {
    fileStr = _fs2.default.readFileSync(path).toString();
  } catch (e) {
    throw e;
  }

  var file = void 0;

  // Try parse as JSON
  try {
    file = JSON.parse(fileStr);
  } catch (e) {}
  // ignore


  // Try parse as YAML
  try {
    file = _yamljs2.default.parse(fileStr);
  } catch (e) {
    // ignore
  }

  if (!file) {
    console.error('Failed to parse file, does it exist? Is it valid JSON/Yaml?');
    process.exit(1);
  }

  return file;
};

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _yamljs = require('yamljs');

var _yamljs2 = _interopRequireDefault(_yamljs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }