'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMetadata = getMetadata;
exports.setMetadata = setMetadata;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tmpDir = _path2.default.join(_os2.default.tmpdir(), 'bkrun');

function getMetadata(uuid, key) {
  try {
    var file = require(_path2.default.join(tmpDir, uuid + '.json'));
    if (typeof file[key] !== 'undefined') {
      return file[key];
    } else {
      throw new Error(); // missing
    }
  } catch (e) {
    throw e;
  }
}

function setMetadata(uuid, key, value) {
  var filePath = _path2.default.join(tmpDir, uuid + '.json');
  try {
    _fs2.default.accessSync(tmpDir);
  } catch (e) {
    _fs2.default.mkdirSync(tmpDir);
  }
  var file = void 0;
  try {
    file = require(filePath);
  } catch (e) {
    file = {};
  }
  file[key] = value;
  _fs2.default.writeFileSync(filePath, JSON.stringify(file));
}