'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPipeline = getPipeline;
exports.deletePipeline = deletePipeline;
exports.writePipeline = writePipeline;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tmpDir = _path2.default.join(_os2.default.tmpdir(), 'bkrun');

function getPipeline(uuid) {
  var pipelineFile = _path2.default.join(tmpDir, 'pipeline-' + uuid + '.json');
  try {
    // Do not require() this as it's cached
    return JSON.parse(_fs2.default.readFileSync(pipelineFile).toString());
  } catch (e) {
    return;
  }
}

function deletePipeline(uuid) {
  try {
    _fs2.default.unlinkSync(_path2.default.join(tmpDir, 'pipeline-' + uuid + '.json'));
  } catch (e) {
    console.log(e);
  }
}

function writePipeline(uuid, pipeline) {
  var pipelineFile = _path2.default.join(tmpDir, 'pipeline-' + uuid + '.json');
  try {
    _fs2.default.mkdirSync(tmpDir);
  } catch (e) {}
  try {
    _fs2.default.writeFileSync(pipelineFile, JSON.stringify(pipeline));
  } catch (e) {
    return;
  }
}